Airwallex logo
Airwallex logoAirwallex logo

Payment Intents

Copy for LLMView as Markdown

A PaymentIntent guides you through the process of collecting a payment from your customer. It tracks a payment when your customer first checks out, through to when payment is successfully paid by your customer. A PaymentIntent transitions through a number of states throughout the customer's payment journey.

You may specify the following on a PaymentIntent.

  1. How much the payment is for? Denoted by amount and currency.
  2. Who is making the payment? This is described by the optional customer_id field.
  3. Which PaymentMethod to use? Denoted by payment_method.

You/your customer will get back the following hints at different stages of the payment process:

  1. The available PaymentMethods.
  2. The PaymentMethod attached to this customer (if customer_id is set).

A combination of status and next_action guide you and your customers through the payment process, including triggering additional authentication flows as required.

Data Retention Policy: You can query and operate PaymentIntent resources for a maximum of 2 years since creation.

Endpoints
POST /api/v1/pa/payment_intents/create
GET /api/v1/pa/payment_intents/{id}
POST /api/v1/pa/payment_intents/{id}/update
POST /api/v1/pa/payment_intents/{id}/confirm
POST /api/v1/pa/payment_intents/{id}/confirm_continue
POST /api/v1/pa/payment_intents/{id}/increment_authorization
POST /api/v1/pa/payment_intents/{id}/capture
POST /api/v1/pa/payment_intents/{id}/cancel
GET /api/v1/pa/payment_intents

Create a PaymentIntent

POST /api/v1/pa/payment_intents/create

Start collecting payment from your customer by creating a PaymentIntent. The payment amount and currency, as well as the merchant order unique identifier must be provided.

Request body
amountrequirednumber

Payment amount. This is the order amount you would like to charge your customer. Please refer to supported currencies for supported minor units.

currencyrequiredstring

Payment currency in 3-letter ISO 4217 currency code. Please refer to supported currencies .

merchant_order_idrequiredstring

The order unique identifier created in merchant's order system that corresponds to this PaymentIntent. Maximum length is 64.

request_idrequiredstring

Unique request identifier specified by the merchant. Maximum length is 64.

additional_infoobject

Additional info for the transaction.

additional_info.account_funding_dataobject

Additional info for account funding transactions to ensure compliance with card networks.

additional_info.account_funding_data.typerequiredstring

Account funding transaction type. Possible values:

  • ACCOUNT_TO_ACCOUNT_TRANSFER: An account-to-account transfer, either within the same financial institution or to a different one.
  • STORED_VALUE_DIGITAL_WALLET_TRANSFER: Adding funds to or cashing out a Stored Value Digital Wallet (SVDW) account.
  • STAGED_DIGITAL_WALLET_TRANSFER: Funding a Staged Digital Wallet before the cardholder makes a purchase.
  • PREPAID_CARD_TOP_UP: Prepaid card or gift card top-up (adding value to an eligible reloadable prepaid card or funding the cardholder’s own prepaid account).
  • LIQUID_ASSET_PURCHASE: Funds transfer for the acquisition of liquid assets (for example, stocks, shares, foreign currency and cryptocurrency).
additional_info.account_funding_data.recipientobject

Details of the recipient for this account funding transaction.

additional_info.account_funding_data.recipient.account_numberstring

Account number of the recipient receiving funds. If you are funding a card, provide the first six digits and last four digits of the card number (e.g., "411111xxxxxxxx1111").

additional_info.account_funding_data.recipient.addressobject

Address of the recipient.

additional_info.account_funding_data.recipient.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.account_funding_data.recipient.address.citystring

City of the address.

additional_info.account_funding_data.recipient.address.line1string

Address line1.

additional_info.account_funding_data.recipient.address.line2string

Address line2.

additional_info.account_funding_data.recipient.address.postcodestring

Postcode of the address.

additional_info.account_funding_data.recipient.address.statestring

State or province of the address.

additional_info.account_funding_data.recipient.first_namestring

First name of the recipient.

additional_info.account_funding_data.recipient.last_namestring

Last name of the recipient.

additional_info.account_funding_data.recipient.middle_namestring

Middle name of the recipient.

additional_info.account_funding_data.senderobject

Details of the sender for this account funding transaction.

additional_info.account_funding_data.sender.addressobject

Address of the sender.

additional_info.account_funding_data.sender.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.account_funding_data.sender.address.citystring

City of the address.

additional_info.account_funding_data.sender.address.line1string

Address line1.

additional_info.account_funding_data.sender.address.line2string

Address line2.

additional_info.account_funding_data.sender.address.postcodestring

Postcode of the address.

additional_info.account_funding_data.sender.address.statestring

State or province of the address.

additional_info.account_funding_data.sender.date_of_birthstring

The sender’s date of birth. Format: YYYY-MM-DD (e.g., "1989-07-15").

additional_info.account_funding_data.sender.first_namestring

First name of the sender.

additional_info.account_funding_data.sender.last_namestring

Last name of the sender.

additional_info.account_funding_data.sender.middle_namestring

Middle name of the sender.

additional_info.account_funding_data.transfer_between_own_accountsboolean

Indicates whether the transfer is between the customer's own accounts. If true, Airwallex will compare the cardholder's name and the recipient's name, and will trigger 3DS if the names do not match.

additional_info.enhanced_scheme_dataobject

Level 2 & Level 3 data that will be sent to card schemes. By providing Level 2 or Level 3 data with your transactions, you may be able to qualify for reduced interchange rates.

additional_info.enhanced_scheme_data.customerobject

Details of the customer making a payment for this Payment Intent.

additional_info.enhanced_scheme_data.customer.first_namestring

First name of the customer

additional_info.enhanced_scheme_data.customer.last_namestring

Last name of the customer

additional_info.enhanced_scheme_data.customer.referencestring

A reference number or code supplied by the cardholder to the merchant, which could be used for invoice management at the cardholder's side. Maximum of 17 characters.

additional_info.enhanced_scheme_data.customer_tax_identifierstring

Tax identifier of the customer. Maximum of 13 characters.

additional_info.enhanced_scheme_data.duty_amountnumber

The total charges for any import or export duty included in the transaction. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.invoice_referencestring

Invoice reference number. Maximum of 17 characters.

additional_info.enhanced_scheme_data.local_tax_amountnumber

The amount of state or provincial tax on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.merchant_tax_identifierstring

Tax identifier of the merchant. This can be a VAT / GST / other tax related identifier. Maximum of 20 characters.

additional_info.enhanced_scheme_data.national_tax_amountnumber

The amount of national tax on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.productsarray

Product list

additional_info.enhanced_scheme_data.products.codestring

Merchant’s product identifier code. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.commodity_codestring

The UNSPSC Commodity Code for the product. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.descriptionstring

Product description. Maximum of 26 characters.

additional_info.enhanced_scheme_data.products.discount_amountnumber

The discount amount for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.quantityinteger

Product quantity

additional_info.enhanced_scheme_data.products.tax_percentnumber

The tax rate percentage for the product. Should be less than 100, up to 2 decimal places.

additional_info.enhanced_scheme_data.products.total_amountnumber

The total amount for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.total_tax_amountnumber

The total amount of tax for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.unitstring

The unit of measure code used for the product. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.unit_pricenumber

Product unit price. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.shippingobject

Shipping information

additional_info.enhanced_scheme_data.shipping.addressobject

Shipping address

additional_info.enhanced_scheme_data.shipping.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.enhanced_scheme_data.shipping.address.citystring

City of the address. Maximum of 100 characters.

additional_info.enhanced_scheme_data.shipping.address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.enhanced_scheme_data.shipping.address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.enhanced_scheme_data.shipping.address.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.enhanced_scheme_data.shipping.datestring

The date the goods were shipped to the destination, in YYYY-MM-DD format.

additional_info.enhanced_scheme_data.shipping.fee_amountnumber

Shipping fee amount. This amount must be expressed in the same currency as the transaction amount.

additional_info.enhanced_scheme_data.shipping.from_postcodestring

The postcode of the location the goods are being shipped from. Maximum of 10 characters.

additional_info.enhanced_scheme_data.summary_commodity_codestring

The first 2,4 or 6 digits of UNSPSC Commodity Code that best categorizes the items being purchased. If the items belong to different categories, choose a category that best represents the items. Maximum of 15 characters

additional_info.enhanced_scheme_data.total_tax_amountnumber

The total amount of sales tax or value added tax (VAT) on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.vat_invoice_referencestring

Value added tax invoice reference number. Maximum of 15 characters.

additional_info.online_ticket_agency_dataobject

The additional information for online ticket agency data.

additional_info.online_ticket_agency_data.eventsarray

The details of the event.

additional_info.online_ticket_agency_data.events.namerequiredstring

The name of the event.

additional_info.online_ticket_agency_data.events.arena_locationobject

The location of the venue.

additional_info.online_ticket_agency_data.events.arena_location.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_ticket_agency_data.events.arena_location.citystring

City of the address. Maximum of 100 characters.

additional_info.online_ticket_agency_data.events.arena_location.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_ticket_agency_data.events.arena_location.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_ticket_agency_data.events.arena_location.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.online_ticket_agency_data.events.arena_namestring

The name of the venue.

additional_info.online_ticket_agency_data.events.arena_seat_numberstring

The seat number of the venue.

additional_info.online_ticket_agency_data.events.companystring

The name of the company arranging the event.

additional_info.online_ticket_agency_data.events.customer_namestring

The name of the customer.

additional_info.online_ticket_agency_data.events.customer_titlestring

The title used before the customer’s name. One of mr, ms, and mrs.

additional_info.online_ticket_agency_data.events.ends_atstring

The event's end date and time in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_ticket_agency_data.events.starts_atstring

The event's start date and time in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_ticket_agency_data.events.typestring

The category or type of the event.

additional_info.online_travel_agency_dataobject

The additional information for online travel agency data.

additional_info.online_travel_agency_data.accommodationsarray

The details of accommodation.

additional_info.online_travel_agency_data.accommodations.addressrequiredobject

The address of this accommodation.

additional_info.online_travel_agency_data.accommodations.address.cityrequiredstring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.accommodations.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.accommodations.address.postcoderequiredstring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.accommodations.address.streetrequiredstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.accommodations.address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.accommodations.check_in_daterequiredstring

Check-in date, in YYYY-MM-DD format.

additional_info.online_travel_agency_data.accommodations.check_out_daterequiredstring

Check-out date, in YYYY-MM-DD format.

additional_info.online_travel_agency_data.accommodations.guest_nationalityrequiredstring

Nationality of the guest (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.accommodations.guest_phonerequiredstring

Guest phone number.

additional_info.online_travel_agency_data.accommodations.namerequiredstring

Name of the accommodation.

additional_info.online_travel_agency_data.accommodations.room_typerequiredstring

Type of room. For example Presidential Suite, Single Room, Double Room, Suite

additional_info.online_travel_agency_data.accommodations.typerequiredstring

Type of accommodation. For example Hotel, Hostel, Resort, Apartment

additional_info.online_travel_agency_data.accommodations.early_checkinboolean

Indicates if early check-in was paid for.

additional_info.online_travel_agency_data.accommodations.guest_emailstring

Guest email address for communication and confirmations.

additional_info.online_travel_agency_data.accommodations.guest_namestring

Full legal name of the guest

additional_info.online_travel_agency_data.accommodations.late_checkoutboolean

Indicates if late checkout was paid for.

additional_info.online_travel_agency_data.accommodations.pre_tax_amountnumber

Accommodation amount excluding tax.

additional_info.online_travel_agency_data.accommodations.ratingsarray

Hotel rating(s) (from various sources).

additional_info.online_travel_agency_data.accommodations.ratings.scorestring

The score of this rating.

additional_info.online_travel_agency_data.accommodations.ratings.sourcestring

The source of this rating.

additional_info.online_travel_agency_data.accommodations.ratings.typestring

The type of this rating. For example Internal, External

additional_info.online_travel_agency_data.accommodations.tax_amountnumber

Taxes and fees applied to the accommodation price.

additional_info.online_travel_agency_data.busesarray

The details of the buses travel.

additional_info.online_travel_agency_data.buses.arrival_cityrequiredstring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.buses.class_of_servicerequiredstring

The itinerary service class.

additional_info.online_travel_agency_data.buses.departure_cityrequiredstring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.buses.passenger_namerequiredstring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.buses.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.buses.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.buses.insurances.companyrequiredstring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.buses.insurances.pricerequirednumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.buses.insurances.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.buses.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.buses.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.buses.pricenumber

The itinerary unit price in payment intent currency.

additional_info.online_travel_agency_data.buses.scheduled_arrival_atstring

The estimated arrival datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.buses.scheduled_departure_atstring

The departure datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentalsarray

The details of the car rental.

additional_info.online_travel_agency_data.car_rentals.agreement_numberrequiredstring

Rental agreement number.

additional_info.online_travel_agency_data.car_rentals.driver_namerequiredstring

Full legal name of the driver.

additional_info.online_travel_agency_data.car_rentals.driver_nationalityrequiredstring

Nationality of the driver (ISO 3166-1 alpha-2 code)

additional_info.online_travel_agency_data.car_rentals.drop_off_atrequiredstring

Rental drop-off time, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentals.pick_up_atrequiredstring

Rental pick-up time, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentals.driver_emailstring

Driver email address for communication and confirmations.

additional_info.online_travel_agency_data.car_rentals.driver_phonestring

Driver phone number.

additional_info.online_travel_agency_data.car_rentals.drop_off_addressobject

The return address of this rental.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.cityrequiredstring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.streetrequiredstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.insurancesarray

The list of insurances.

additional_info.online_travel_agency_data.car_rentals.insurances.companyrequiredstring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.car_rentals.insurances.pricerequirednumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.car_rentals.insurances.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.car_rentals.pick_up_addressobject

The start address of this rental.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.cityrequiredstring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.streetrequiredstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.pre_tax_amountnumber

Rental amount excluding tax.

additional_info.online_travel_agency_data.car_rentals.tax_amountnumber

Taxes and fees applied to the rental price.

additional_info.online_travel_agency_data.car_rentals.vehicleobject

The details of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.license_platerequiredstring

License plate number.

additional_info.online_travel_agency_data.car_rentals.vehicle.manufacturerrequiredstring

Manufacturer of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.modelrequiredstring

Model of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.conditionstring

Condition of the vehicle. One of GOOD, FAIR, POOR.

additional_info.online_travel_agency_data.car_rentals.vehicle.manufacture_yearstring

Year of manufacture.

additional_info.online_travel_agency_data.car_rentals.vehicle.vinstring

Vehicle Identification Number.

additional_info.online_travel_agency_data.customerobject

Details of the customer making a payment for this Payment Intent.

additional_info.online_travel_agency_data.customer.loyalty_program_namestring

The name of the loyalty program.

additional_info.online_travel_agency_data.customer.loyalty_program_pointsinteger

Points or miles in the loyalty program.

additional_info.online_travel_agency_data.customer.loyalty_program_tierstring

Tier of the loyalty program. For example Silver, Gold, Platinum.

additional_info.online_travel_agency_data.customer.typestring

Customer account type. One of GUEST, MEMBER.

additional_info.online_travel_agency_data.ferriesarray

The details of the ferries travel.

additional_info.online_travel_agency_data.ferries.arrival_cityrequiredstring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.class_of_servicerequiredstring

The itinerary service class.

additional_info.online_travel_agency_data.ferries.departure_cityrequiredstring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.passenger_namerequiredstring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.ferries.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.ferries.insurances.companyrequiredstring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.insurances.pricerequirednumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.ferries.insurances.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.ferries.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.ferries.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.ferries.pricenumber

The itinerary unit price in payment intent currency.

additional_info.online_travel_agency_data.ferries.scheduled_arrival_atstring

The estimated arrival datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.ferries.scheduled_departure_atstring

The departure datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flightsarray

The details of the flights.

additional_info.online_travel_agency_data.flights.arrival_airport_coderequiredstring

IATA code of the arrival airport.

additional_info.online_travel_agency_data.flights.arrival_cityrequiredstring

City where the arrival airport is located.

additional_info.online_travel_agency_data.flights.arrival_countryrequiredstring

Country where the arrival airport is located (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.departure_airport_coderequiredstring

IATA code of the departure airport.

additional_info.online_travel_agency_data.flights.departure_cityrequiredstring

City where the departure airport is located.

additional_info.online_travel_agency_data.flights.departure_countryrequiredstring

Country where the departure airport is located (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.flight_numberrequiredstring

Airline's unique flight number.

additional_info.online_travel_agency_data.flights.passenger_namerequiredstring

Full legal name of the passenger.

additional_info.online_travel_agency_data.flights.passenger_nationalityrequiredstring

Nationality of the passenger (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.scheduled_arrival_atrequiredstring

Scheduled arrival date and time in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flights.scheduled_departure_atrequiredstring

Scheduled departure date and time in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flights.typerequiredstring

Whether the flight is domestic or international. One of DOMESTIC, INTERNATIONAL.

additional_info.online_travel_agency_data.flights.class_of_servicestring

Class of service. For example Economy, Premium Economy, Business, First.

additional_info.online_travel_agency_data.flights.insurancesarray

The list of insurance.

additional_info.online_travel_agency_data.flights.insurances.companyrequiredstring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.flights.insurances.pricerequirednumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.flights.insurances.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.flights.passenger_emailstring

Passenger email address for communication and confirmations.

additional_info.online_travel_agency_data.flights.passenger_phonestring

Passenger phone number.

additional_info.online_travel_agency_data.flights.pre_tax_amountnumber

Ticket amount excluding tax.

additional_info.online_travel_agency_data.flights.seat_numberstring

Assigned seat number on the flight.

additional_info.online_travel_agency_data.flights.tax_amountnumber

Taxes and fees applied to the ticket price.

additional_info.online_travel_agency_data.orderobject

Purchase order related to this PaymentIntent.

additional_info.online_travel_agency_data.order.cancellablerequiredboolean

Indicates if the booking is cancellable.

additional_info.online_travel_agency_data.order.created_atrequiredstring

The time of the order was made, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.order.prepayment_modelstring

The model of payment. One of FULL, PARTIAL

additional_info.online_travel_agency_data.trainsarray

The details of the trains travel.

additional_info.online_travel_agency_data.trains.arrival_cityrequiredstring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.trains.class_of_servicerequiredstring

The itinerary service class.

additional_info.online_travel_agency_data.trains.departure_cityrequiredstring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.trains.passenger_namerequiredstring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.trains.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.trains.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.trains.insurances.companyrequiredstring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.trains.insurances.pricerequirednumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.trains.insurances.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.trains.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.trains.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.trains.pricenumber

The itinerary unit price in payment intent currency.

additional_info.online_travel_agency_data.trains.scheduled_arrival_atstring

The estimated arrival datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.trains.scheduled_departure_atstring

The departure datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

connected_account_idstring

Airwallex assigned account identifier of the connected entity(another account which is linked with platform). It is to be used by the platform to indicate the connected entity in the transaction where platform is the owner of transaction. Notice: This can not be used with x-on-behalf-of header together.

customerobject

Details of the customer making a payment for this Payment Intent. When customer_id is provided in the request you must leave this object empty unless you want to provide additional_info related to the customer for this payment.

customer.additional_infoobject

Additional information of the customer

customer.additional_info.account_typestring

Customer account type. One of GUEST, PRIVATE, BUSINESS, VIP, MERCHANT_OPERATED, TRIAL, MERCHANT_EMPLOYEE, PREMIUM_PAID, SMALL_BUSINESS, AGENT

customer.additional_info.first_successful_order_datestring

Date at which the customer completes the first order on the merchant's site

customer.additional_info.last_login_ip_addressstring

The public IP address used by the customer in the last login.

customer.additional_info.last_modified_atstring

The last time at which the customer modified their account in the merchant's system. The timestamp must include an explicit timezone (e.g. Z or -04:00).

customer.additional_info.linked_social_networksarray

Social network data related to the customer

customer.additional_info.linked_social_networks.emailstring

The customer's email address on the social network.

customer.additional_info.linked_social_networks.namestring

The social network used by the customer. Can be one of: FACEBOOK, GOOGLE, TWITTER, REDDIT, PINTEREST, WECHAT, QQ, TWITCH, APPLE, DRIBBBLE, GITHUB, LINKEDIN, MAKER_STUDIOS, STACK_EXCHANGE, VIMEO, STEAM, OTHER, KAKAO, NAVER, GRAB, JKOPAY, LINE, OTHER

customer.additional_info.linked_social_networks.profile_idstring

The customer's profile unique identifier on the social network.

customer.additional_info.purchase_summariesarray

The purchase summaries of this customer with different payment methods in the merchant's system for risk analysis

customer.additional_info.purchase_summaries.payment_method_typerequiredstring

Payment method type, one of affirm, afterpay, atome, klarna, and other

customer.additional_info.purchase_summaries.currencystring

The currency of successful purchase volume in 3-letter ISO 4217 currency code. Please refer to supported currencies .

customer.additional_info.purchase_summaries.first_successful_purchase_datestring

The date on which the customer completed their first purchase in the merchant's system with the specified payment method type

customer.additional_info.purchase_summaries.last_successful_purchase_datestring

The date on which the customer completed their last purchase in the merchant's system with the specified payment method type

customer.additional_info.purchase_summaries.successful_purchase_amountnumber

Total volume of successful purchases. Please refer to supported currencies for supported minor units.

customer.additional_info.purchase_summaries.successful_purchase_countinteger

Total number of successful purchases

customer.additional_info.registered_via_social_mediaboolean

Whether the customer registers through social media. Default to false

customer.additional_info.registration_datestring

Date at which the customer registers on the merchant's site

customer.additional_info.registration_ip_addressstring

The public IP address used by the customer when registering on the merchant's site.

customer.addressobject

Address of the customer

customer.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

customer.address.citystring

City of the address. Maximum of 100 characters.

customer.address.postcodestring

Postcode of the address. Maximum of 10 characters.

customer.address.statestring

State or province of the address. Maximum of 100 characters.

customer.address.streetstring

Street of the address. Maximum of 1000 characters.

customer.business_namestring

Business name of the customer

customer.emailstring

Email address of the customer

customer.first_namestring

First name of the customer

customer.last_namestring

Last name of the customer

customer.merchant_customer_idstring

Unique identifier of the customer in merchant's system. Maximum length is 64.

customer.phone_numberstring

Phone number of the customer

customer_idstring

The unique identifier of the customer making a payment for this Payment Intent. This field is required if the Payment Intent is created for recurring payments. Leave this field empty if the customer is unknown (guest checkout) or if the customer details are provided via the customer object. If only additional_info is provided in the customer object for the Payment Intent, you can still include customer_id in the request.

descriptorstring

Descriptor that will display to the customer. Maximum length is 32.

device_dataobject

Client device information applicable when payment_method is set. It is recommended to provide this data for risk analysis.

device_data.accept_headerstring

Accept header value

device_data.browserobject

Browser specific data

device_data.browser.java_enabledboolean

Is Java enabled?

device_data.browser.javascript_enabledboolean

Is JavaScript enabled?

device_data.browser.user_agentstring

User Agent header value

device_data.device_idstring

Device unique identifier or Advertisement unique identifier or IMEI

device_data.ip_addressstring

Public IP address, both IPv4 and IPv6 are supported.

device_data.languagestring

Language or locale

device_data.locationobject

Location data

device_data.location.latstring

Latitude

device_data.location.lonstring

Longitude

device_data.mobileobject

Mobile specific data

device_data.mobile.device_modelstring

Device model

device_data.mobile.os_typestring

OS type

device_data.mobile.os_versionstring

OS version

device_data.screen_color_depthinteger

Screen color depth in bits

device_data.screen_heightinteger

Screen height in pixels

device_data.screen_widthinteger

Screen width in pixels

device_data.timezonestring

Timezone offset to UTC in hours, with added minutes if necessary

external_recurring_dataobject

Some merchants prefer to maintain the recurring payments on their own instead of using PaymentConsent. Providing this data indicates the request is an external recurring payment. Only effective when the payment_method.type is card, applepay, googlepay.

external_recurring_data.triggered_byrequiredstring

The party who initiated this subsequent payment request. One of merchant, customer.

external_recurring_data.initial_paymentboolean

Set this to true if it is the initial transaction request in a recurring series.

Default: false.

external_recurring_data.merchant_trigger_reasonstring

Indicate if this subsequent payment is scheduled. Only applicable when triggered_by is merchant. One of scheduled, unscheduled, installments.

Default: scheduled

external_recurring_data.original_transaction_idstring

The original transaction reference which can be provided to increase the odds of getting approved by issuer when triggered_by is merchant (not in customer's presence). Do not pass this value when initial_payment is true or if you are not clear about the valid formats (as listed below).

  • Visa (card) - 15 digits unique ID Visa assigns to the response of the original authorization request, i.e. 123456789012345
  • Mastercard (card) - 13 characters trace id (DE 63 Subfield 1 & 2 + DE 15) from the response of the original authorization request, i.e. MCC123ABC0101
external_recurring_data.terms_of_useobject

Terms to specify how this Payment Consent will be used.

external_recurring_data.terms_of_use.payment_amount_typerequiredstring

The agreed type of amounts for subsequent payment. Should be one of FIXED, VARIABLE.

  • FIXED: payment amount is fixed. A specific amount is required.
  • VARIABLE: payment amount is variable at each collection. A max limit is recommended.
external_recurring_data.terms_of_use.billing_cycle_charge_dayinteger

The granularity per billing cycle. Required when payment_schedule.period_unit is WEEK, MONTH, or YEAR. (e.g. charge_day_per_billing_cycle= 5, payment_schedule.period_unit = MONTH, payment_schedule.period = 1 if collect payment on the 5th of each month).

external_recurring_data.terms_of_use.end_datestring

End date to expect payment request.

external_recurring_data.terms_of_use.first_payment_amountnumber

The first payment. It could include the costs associated with the first debited amount.Optional if payment agreement type is VARIABLE.

external_recurring_data.terms_of_use.fixed_payment_amountnumber

The fixed payment amount that can be charged for a single payment.Required if payment agreement type is FIXED.

external_recurring_data.terms_of_use.max_payment_amountnumber

The maximum payment amount that can be charged for a single payment.Optional if payment agreement type is VARIABLE.

external_recurring_data.terms_of_use.min_payment_amountnumber

The minimum payment amount that can be charged for a single payment.Optional if payment agreement type is VARIABLE.

external_recurring_data.terms_of_use.payment_currencystring

The currency of this payment. Please refer to supported currencies .

external_recurring_data.terms_of_use.payment_scheduleobject
external_recurring_data.terms_of_use.payment_schedule.periodinteger

The number of period units between billing cycles. For example, the payment cycle is one month if period=1 and period_unit=MONTH. Required when merchant_trigger_reason = scheduled

external_recurring_data.terms_of_use.payment_schedule.period_unitstring

Specifies billing frequency. One of DAY, WEEK, MONTH, and YEAR. Required when merchant_trigger_reason = scheduled

external_recurring_data.terms_of_use.start_datestring

Start date to expect payment request.

external_recurring_data.terms_of_use.total_billing_cyclesinteger

The total number of billing cycles. For example, the mandate will last for 1 year if total_billing_cycles=12, payment_schedule.period=1 and payment_schedule.period_unit=MONTH if the merchant_trigger_reason is scheduled. Merchant can bill customers 12 times when total_billing_cycles=12 if the merchant_trigger_reason is unscheduledThe mandate will continue indefinitely if total_billing_cycles is null.

funds_split_dataarray

When provided, it creates specified funds splits that are automatically released after the PaymentIntent succeeds.

funds_split_data.amountrequirednumber

Amount of this split. Please refer to supported currencies for supported minor units.

funds_split_data.destinationstring

The destination that the money is splitting to. The value could be either:

  • a connected account ID. Used to split funds when collecting payments directly
  • a platform account ID. Used to split funds when collecting payments on behalf of connected accounts If a value is not specified, the destination will be as specified in the PaymentIntent.
merchant_category_codestring

Four-digit code to categorize the business or service. This field is only applicable for approved merchants to specify an alternative category code.

metadataobject

A set of key-value pairs that you can attach to the PaymentIntent. You can specify up to 50 keys with key names up to 50 characters long and values up to 500 characters long.

orderobject

Purchase order related to this PaymentIntent

order.discountobject

Discount used by the customer.

order.discount.coupon_codestring

Coupon code used

order.foreign_retailer_amountnumber

The total amount from all foreign retailers in a marketplace transaction. Must be greater than or equal to 0 and less than or equal to the payment intent amount.

order.itinerariesarray

Itineraries list. Required for Online Travel Agency.

order.itineraries.depart_atrequiredstring

The departure datetime in ISO 8601 format.

order.itineraries.pricerequirednumber

The itinerary unit price in payment intent currency.

order.itineraries.service_classrequiredstring

The itinerary service class. One of first_class, business, economy.

order.itineraries.traveler_identifierrequiredstring

The traveler’s identifier in order.travelers. Maximum length is 64.

order.itineraries.airline_carrier_codestring

The 2-letter IATA airline carrier code if the itinerary is for airline.

order.itineraries.arrival_airport_codestring

The 3-letter IATA airport code, required if the itinerary is for airline.

order.itineraries.arrival_citystring

The city of the arrival. Maximum length is 100.

order.itineraries.arrive_atstring

The estimated arrival datetime in ISO 8601 format.

order.itineraries.departure_airport_codestring

The 3-letter IATA airport code, required if the itinerary is for airline.

order.itineraries.departure_citystring

The city of the departure. Maximum length is 100.

order.itineraries.insurancearray

The insurance list for the itinerary.

order.itineraries.insurance.companyrequiredstring

The insurance company name. Maximum length is 100.

order.itineraries.insurance.pricerequirednumber

The insurance price in payment intent currency.

order.itineraries.insurance.typerequiredstring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

order.productsarray

Product list

order.products.categorystring

Product category at the merchant store, such as home furnishings, pet supplies, apparel and accessories

order.products.codestring

Merchant’s product identifier code. Maximum of 128 characters.

order.products.descstring

Product description. Maximum of 500 characters.

order.products.effective_end_atstring

The effective end time of the product, only applicable when product type is intangible_good. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.products.effective_start_atstring

The effective start time of the product, only applicable when product type is intangible_good. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.products.image_urlstring

The preview image url for this product, which is usually displayed as thumbnail in the order details.

order.products.namestring

Name of the product. Maximum of 255 characters.

order.products.quantityinteger

Product quantity

order.products.sellerobject

Seller info of the purchase order

order.products.seller.identifierstring

The identifier of the seller in the merchant's system

order.products.seller.namestring

The name of the seller in the merchant's system

order.products.skustring

Stock keeping unit. A unique identifier assigned by the merchant to identify and track this specific product. Maximum of 128 characters.

order.products.typestring

Type of product, such as physical_good, intangible_good, or service. Maximum of 128 characters.

order.products.unit_pricenumber

Product unit price

order.products.urlstring

The url that links to the product page at merchant site.

order.sellersarray

Seller list

order.sellers.additional_infoobject

The additional information of the seller in the merchant's system for risk analysis

order.sellers.additional_info.address_updated_atstring

The timestamp of the latest address change. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.sellers.additional_info.email_updated_atstring

The timestamp of the latest email change. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.sellers.additional_info.password_updated_atstring

The timestamp of the latest password change. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.sellers.additional_info.products_updated_atstring

The timestamp of the latest change of product listing details. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.sellers.additional_info.sales_summaryobject

The sales summary of this seller during the last period

order.sellers.additional_info.sales_summary.currencystring

The currency of sales amount

order.sellers.additional_info.sales_summary.periodstring

The period of this sales summary. Default to 12M (last 12 months).

order.sellers.additional_info.sales_summary.sales_amountnumber

The volume of sales completed by the seller in the last period

order.sellers.additional_info.sales_summary.sales_countinteger

The number of sales completed by the seller in the last period

order.sellers.business_infoobject

The business information of the seller in the merchant's system for risk analysis

order.sellers.business_info.addressobject

Address of the seller

order.sellers.business_info.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

order.sellers.business_info.address.citystring

City of the address. Maximum of 100 characters.

order.sellers.business_info.address.postcodestring

Postcode of the address. Maximum of 10 characters.

order.sellers.business_info.address.statestring

State or province of the address. Maximum of 100 characters.

order.sellers.business_info.address.streetstring

Street of the address. Maximum of 1000 characters.

order.sellers.business_info.emailstring

Email address of the seller

order.sellers.business_info.phone_numberstring

Phone number of the seller

order.sellers.business_info.postcodestring

This field is deprecated in favor of address.postcode. Postal code of the seller company address. Maximum length is 10.

order.sellers.business_info.ratingnumber

The latest customer rating (out of 10) for this seller

order.sellers.business_info.registration_datestring

The date on which the seller registered in the merchant's system

order.sellers.identifierstring

The identifier of the seller in the merchant's system. Maximum length is 64.

order.sellers.namestring

The name of the seller in the merchant's system. Maximum length is 100.

order.shippingobject

Shipping information

order.shipping.addressobject

Shipping address

order.shipping.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

order.shipping.address.citystring

City of the address. Maximum of 100 characters.

order.shipping.address.postcodestring

Postcode of the address. Maximum of 10 characters.

order.shipping.address.statestring

State or province of the address. Maximum of 100 characters.

order.shipping.address.streetstring

Street of the address. Maximum of 1000 characters.

order.shipping.fee_amountnumber

Shipping fee amount.

order.shipping.first_namestring

First name of the recipient. Maximum of 128 characters.

order.shipping.last_namestring

Last name of the recipient. Maximum of 128 characters.

order.shipping.phone_numberstring

Phone number of the recipient. Maximum of 50 characters.

order.shipping.shipping_delayed_atstring

Use if customer chose to deliver the item at a later time. The timestamp must include an explicit timezone (e.g. Z or -04:00).

order.shipping.shipping_methodstring

Shipping method for the product. Maximum of 128 characters.

order.supplierobject

Deprecated.

Use order.sellers instead

order.supplier.addressobject

Address of the supplier

order.supplier.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

order.supplier.address.citystring

City of the address. Maximum of 100 characters.

order.supplier.address.postcodestring

Postcode of the address. Maximum of 10 characters.

order.supplier.address.statestring

State or province of the address. Maximum of 100 characters.

order.supplier.address.streetstring

Street of the address. Maximum of 1000 characters.

order.supplier.business_namestring

Business name of the supplier. Maximum length is 128.

order.supplier.emailstring

Email address of the supplier

order.supplier.first_namestring

First name of the supplier. Maximum length is 128.

order.supplier.last_namestring

Last name of the supplier. Maximum length is 128.

order.supplier.phone_numberstring

Phone number of the supplier

order.surchargeobject

Surcharge Information.

order.surcharge.amountrequirednumber

The surcharge amount. This amount is included in the PaymentIntent's total amount.

order.tipobject

Tip information

order.tip.amountrequirednumber

The tip amount. This amount is included in the total amount.

order.travelersarray

Travelers list. Required for Online Travel Agency.

order.travelers.identifierrequiredstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

order.travelers.namerequiredstring

The name of the traveler. Maximum length is 100.

order.travelers.titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

order.typestring

Industry category of the order. Maximum of 128 characters.

payment_methodobject

The payment method details to confirm the PaymentIntent. The PaymentIntent will be confirmed automatically when payment_method is set.

payment_method.applepayobject

Applepay information. This must be provided if type is set to applepay

payment_method.applepay.billingobject

Billing information

payment_method.applepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.applepay.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.applepay.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.applepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.applepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.applepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.applepay.billing.emailstring

Email address of the customer

payment_method.applepay.billing.first_namestring

First name of the customer. Maximum length is 128.

payment_method.applepay.billing.last_namestring

Last name of the customer. Maximum length is 128.

payment_method.applepay.billing.phone_numberstring

Phone number of the customer

payment_method.applepay.encrypted_payment_tokenstring

Payment data from ApplePayPaymentToken

payment_method.applepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

payment_method.applepay.tokenized_cardobject

Payment data with the tokenized card details

payment_method.applepay.tokenized_card.expiry_monthrequiredstring

Two digit number representing the card’s expiration month

payment_method.applepay.tokenized_card.expiry_yearrequiredstring

Four digit number representing the card’s expiration year

payment_method.applepay.tokenized_card.numberrequiredstring

Card number

payment_method.applepay.tokenized_card.authentication_methodobject

Authentication method

payment_method.applepay.tokenized_card.authentication_method.typerequiredstring

The authentication method type. One of emv or three_ds.

payment_method.applepay.tokenized_card.authentication_method.emvobject

EMV data

payment_method.applepay.tokenized_card.authentication_method.emv.emv_datarequiredstring

Output from the Secure Element

payment_method.applepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

payment_method.applepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

payment_method.applepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramrequiredstring

Online payment cryptogram, as defined by 3-D Secure

payment_method.applepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

payment_method.applepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

payment_method.applepay.tokenized_card.namestring

Cardholder name

payment_method.cardobject

Information required for online card transactions. This must be provided if type is set to card

payment_method.card.expiry_monthrequiredstring

Two digit number representing the card’s expiration month

payment_method.card.expiry_yearrequiredstring

Four digit number representing the card’s expiration year

payment_method.card.numberrequiredstring

Card number

payment_method.card.additional_infoobject

Additional information of external network token requestor. Should be provided when number_type is EXTERNAL_NETWORK_TOKEN

payment_method.card.additional_info.merchant_verification_valuestring

Merchant Verification Value (Provided by VISA during onboarding) or MasterCard Assigned ID (Provided by MasterCard during onboarding)

payment_method.card.additional_info.token_requestor_idstring

Token requestor unique identifier (Provided by card schemes during onboarding)

payment_method.card.billingobject

Billing information

payment_method.card.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.card.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.card.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.card.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.card.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.card.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.card.billing.emailstring

Email address of the customer

payment_method.card.billing.first_namestring

First name of the customer. Maximum length is 128.

payment_method.card.billing.last_namestring

Last name of the customer. Maximum length is 128.

payment_method.card.billing.phone_numberstring

Phone number of the customer

payment_method.card.cvcstring

CVC code of this card. Required for all transactions except merchant initiated transactions and network tokenized transactions

payment_method.card.korean_cardobject

Information for Korean Card

payment_method.card.korean_card.password_first2requiredstring

Card password first 2 digits.

payment_method.card.korean_card.business_numberstring

A 10-digit business number of the company. Either business_number or date_of_birth must be provided.

payment_method.card.korean_card.date_of_birthstring

A 6-digit date of birth in the format of YYMMDD. Either business_number or date_of_birth must be provided.

payment_method.card.namestring

Card holder name. Maximum length is 128.

payment_method.card.number_typestring

Type of the number. One of PAN, EXTERNAL_NETWORK_TOKEN. Default: PAN

payment_method.card_presentobject

Information required for card-present transactions. This must be provided if type is set to card_present

payment_method.card_present.cardholder_verification_methodrequiredstring

Cardholder verification method.

  • offline_pin: The PIN is verified offline by the EMV chip card.
  • online_pin: The PIN is encrypted and verified online by issuers or card schemes. encrypted_pin is required for online_pin.
  • manual_signature: The cardholder signature on the receipt is compared to the signature on the back of the card.
  • no_cvm: No verification needed.
  • cdcvm: Cardholder device verification method. The cardholder is verified using a device's authentication method.
  • offline_pin_and_signature: Both an offline PIN and a manual signature are used to verify the cardholder.
  • skipped: Verification process was bypassed.
payment_method.card_present.pan_entry_moderequiredstring

The way the terminal reads the card information.

  • manual_entry: Manually keyed into POS terminal.
  • chip: Read from direct contact with a chip card.
  • magstripe: Read from direct contact with magnetic stripe card.
  • contactless_chip: Read from a contactless interface using chip data.
  • contactless_magstripe: Read from a contactless interface using magnetic stripe data (MSD).
payment_method.card_present.terminal_inforequiredobject

Data obtained by the POS terminal from the card and terminal properties.

payment_method.card_present.terminal_info.pin_entry_capabilityrequiredstring

Describe the capability of the terminal device to accept PIN.

  • unsupported: Terminal does not have PIN entry capability.
  • supported: Terminal has PIN entry capability. Except the case suitable for software_based.
  • software_based: For a mobile POS device, a user can input PIN through software-based keyboard.
  • disabled: Terminal has PIN entry capability but PIN pad is not currently operative.
payment_method.card_present.terminal_info.supported_pan_entry_modesrequiredarray

List of pan_entry_modes supported by the terminal.

payment_method.card_present.terminal_info.terminal_idrequiredstring

An up to 8 digit alphanumeric unique identifier used to identify the terminal at the card acceptor location of the user’s POS system.

payment_method.card_present.terminal_info.mobile_deviceboolean

Indicate whether the POS terminal is a mobile POS device. Default is false.

payment_method.card_present.terminal_info.support_single_tap_with_pinboolean

Indicate whether the POS terminal could respond to a request_pin action. Default is false.

payment_method.card_present.terminal_info.terminal_typestring

Type of the POS terminal that processes this payment.

  • attended_pos: dedicated pos devices that attended by a merchant staff.
  • unattended_pos: dedicated pos devices that not attended.
  • android_softpos: android mobile devices that can work as pos device with software.
  • ios_softpos: iOS mobile devices that can work as pos device with software.
payment_method.card_present.terminal_info.use_embedded_readerboolean

Indicate whether the reader is embedded in a mobile POS device. Default is true.

payment_method.card_present.emv_tagsstring

Tag-length-value (TLV)-encoded data read from a chip card. Required when pan_entry_mode is chip, contactless_chip.

Mandatory tags:

  • 82 - Application interchange profile
  • 84 - Dedicated file name
  • 95 - Terminal verification results
  • 9A - Application date
  • 9C - Transaction type
  • 5F2A - Transaction currency code
  • 9F02 - Amount authorized
  • 9F10 - Issuer application data
  • 9F1A - Terminal country code
  • 9F26 - Application cryptogram
  • 9F27 - Cryptogram information
  • 9F34 - Cardholder verification method results
  • 9F36 - Application transaction counter
  • 9F37 - Unpredictable number
  • 9F6E - Form factor indicator / Third party data

Recommended tags:

  • 9F33 - Terminal capabilities
  • 9F35 - Terminal type
  • 9F41 - Transaction sequence counter

Provide if present:

  • 5F34 - Card sequence number
payment_method.card_present.encrypted_pinstring

Encrypted personal identification number. Required when cardholder_verification_method is online_pin.

payment_method.card_present.expiry_monthstring

Two digit number representing the card’s expiration month. Required when pan_entry_mode is manual_entry.

payment_method.card_present.expiry_yearstring

Four digit number representing the card’s expiration year. Required when pan_entry_mode is manual_entry.

payment_method.card_present.fallbackboolean

The default is false. Set to true when:

  • Chip card at a chip-capable terminal was unable to process transactions using data on the chip or magnetic strip and use entry mode manual.
  • Chip card at a chip-capable terminal was unable to process transactions using data on the chip and use entry mode contact_magnetic_stripe_card.
payment_method.card_present.fallback_reasonstring

Fallback reason applicable when fallback is true.
Set to chip_read_failure when all of the following conditions are met:

  • The transaction is initiated at a chip-capable terminal.
  • pan_entry_mode is magstripe.
  • The previous transaction initiated by the terminal was an unsuccessful chip read.
payment_method.card_present.key_serial_numberstring

Key serial number while using DUKPT for PIN encryption.

payment_method.card_present.numberstring

Card number. Required when pan_entry_mode is manual_entry.

payment_method.card_present.track1string

Track 1 read from magnetic stripe card

payment_method.card_present.track2string

Track 2 is read from a magnetic stripe card or is track 2 equivalent data get from the chip card.
Track 2 is required when pan_entry_mode is not manual_entry.

payment_method.googlepayobject

Googlepay information. This must be provided if type is set to googlepay

payment_method.googlepay.billingobject

Billing information

payment_method.googlepay.billing.addressobject

The billing address as it appears on the credit card issuer’s records

payment_method.googlepay.billing.address.country_coderequiredstring

The two-letter country code in ISO 3166-1 alpha-2 format.

payment_method.googlepay.billing.address.citystring

City of the address. Maximum of 100 characters.

payment_method.googlepay.billing.address.postcodestring

Postcode of the address. Maximum of 10 characters.

payment_method.googlepay.billing.address.statestring

State or province of the address. Maximum of 100 characters.

payment_method.googlepay.billing.address.streetstring

Street of the address. Maximum of 1000 characters.

payment_method.googlepay.billing.emailstring

Email address of the customer

payment_method.googlepay.billing.first_namestring

First name of the customer. Maximum length is 128.

payment_method.googlepay.billing.last_namestring

Last name of the customer. Maximum length is 128.

payment_method.googlepay.billing.phone_numberstring

Phone number of the customer

payment_method.googlepay.encrypted_payment_tokenstring

A UTF-8 encoded, serialized JSON object with the keys specified.

payment_method.googlepay.external_three_dsobject

Authentication data from an external 3D-Secure provider. Only applicable when Google Pay PAN_ONLY authentication method is used.

payment_method.googlepay.external_three_ds.authentication_valuestring

Authentication value, will be used to provide proof of authentication for 3DS v2

payment_method.googlepay.external_three_ds.ds_transaction_idstring

UUID assigned by the Directory Server to identify a single transaction for 3DS v2

payment_method.googlepay.external_three_ds.ecistring

Electronic Commerce Indicator provided by the ACS or DS to indicate the results of the attempt to authenticate the Cardholder

payment_method.googlepay.external_three_ds.three_ds_exemptionstring

Add the SCA exemptions if your 3DS provider decides any exemptions are applicable. One of TRA, LVP, ANONYMOUS

payment_method.googlepay.external_three_ds.three_ds_server_transaction_idstring

UUID assigned by the 3DS server to identify a single transaction for 3DS v2

payment_method.googlepay.external_three_ds.versionstring

3DS version in the format major.minor.patch

payment_method.googlepay.payment_data_typestring

Type of the payment data details. One of tokenized_card or encrypted_payment_token.

payment_method.googlepay.tokenized_cardobject

Payment data with the tokenized card details

payment_method.googlepay.tokenized_card.expiry_monthrequiredstring

Two digit number representing the card’s expiration month

payment_method.googlepay.tokenized_card.expiry_yearrequiredstring

Four digit number representing the card’s expiration year

payment_method.googlepay.tokenized_card.numberrequiredstring

Card number

payment_method.googlepay.tokenized_card.authentication_methodobject

Authentication method

payment_method.googlepay.tokenized_card.authentication_method.typerequiredstring

The authentication method type. One of emv or three_ds.

payment_method.googlepay.tokenized_card.authentication_method.emvobject

EMV data

payment_method.googlepay.tokenized_card.authentication_method.emv.emv_datarequiredstring

Output from the Secure Element

payment_method.googlepay.tokenized_card.authentication_method.emv.encrypted_pin_datastring

The PIN encrypted using the bank’s key

payment_method.googlepay.tokenized_card.authentication_method.three_dsobject

3D-Secure authentication data

payment_method.googlepay.tokenized_card.authentication_method.three_ds.online_payment_cryptogramrequiredstring

Online payment cryptogram, as defined by 3-D Secure

payment_method.googlepay.tokenized_card.authentication_method.three_ds.eci_indicatorstring

Electronic Commerce Indicator, as defined by 3-D Secure

payment_method.googlepay.tokenized_card.device_manufacturer_identifierstring

Device manufacturer identifier

payment_method.googlepay.tokenized_card.namestring

Cardholder name

payment_method.idstring

The ID of the payment method. If this field is provided, you must also include either payment_consent or triggered_by. Requests that include payment_method.id without either of these fields are rejected with a validation_error.

payment_method.pay_nowobject

Pay now information. This must be provided if type is set to pay_now

payment_method.pay_now.channelstring

Payment channel. Use pos for POS transactions.

payment_method.pay_now.shopper_namestring

The name of the shopper.

payment_method.typestring

Type of the PaymentMethod. One of card, card_present, applepay, googlepay, wechatpay, pay_now.

payment_method.wechatpayobject

Wechatpay information. This must be provided if type is set to wechatpay

payment_method.wechatpay.flowrequiredstring

The specific WeChat Pay flow to use. One of webqr, jsapi, miniprog, inapp, mweb

payment_method.wechatpay.channelstring

Payment channel. Use pos for POS transactions.

payment_method.wechatpay.open_idstring

Required when flow is miniprog

payment_method_optionsobject

Options for PaymentMethod

payment_method_options.cardobject

The PaymentMethod options for card

payment_method_options.card.authorization_typestring

The authorization type of the card payment. One of final_auth, pre_auth. Only applicable when payment_method is provided. Default to final_auth. Currently only available when brand is visa or mastercard.

payment_method_options.card.auto_captureboolean

Specifies whether the funds should be requested automatically after the payment is authorized. Only applicable when payment_method is provided. Default to true.

payment_method_options.card.card_input_viastring

The channel through which the cardholder inputs the card. One of ecommerce, moto

payment_method_options.card.merchant_trigger_reasonstring

Types of transactions where the merchant is allowed to initiate payments because it is a customary, legitimate need of the merchant’s industry. Only applicable for merchant-initiated transactions. One of incremental_authorization, reauthorization, resubmission, delayed_charges, partial_shipment, no_show.

payment_method_options.card.risk_controlobject

Deprecated.

Use risk_control_options.skip_risk_processing instead of payment_method_options.card.risk_control.skip_risk_processing.

Use payment_method_options.card.three_ds_action instead of payment_method_options.card.risk_control.three_ds_action

payment_method_options.card.risk_control.skip_risk_processingboolean

Set it to true if you want to skip fraud processing. Please contact your account manager to enable the feature to take effect. Defaults to false.

payment_method_options.card.risk_control.three_domain_secure_actionstring

Deprecated, use three_ds_action - Set it to FORCE_3DS if you want to enforce 3ds. null by default

payment_method_options.card.risk_control.three_ds_actionstring

Set it to FORCE_3DS if you want to enforce 3DS with our 3DS provider. Set it to EXTERNAL_3DS if you want to use your own 3DS provider, in this case payment_method_options.card.external_three_ds should be provided in the confirm request. Set it to SKIP_3DS if you want to skip 3DS regardless of the risk score. null by default

payment_method_options.card.three_ds_actionstring

Set it to FORCE_3DS if you want to enforce 3DS with our 3DS provider. Set it to EXTERNAL_3DS if you want to use your own 3DS provider, in this case payment_method_options.card.external_three_ds should be provided in the confirm request. Set it to SKIP_3DS if you want to skip 3DS regardless of the risk score. null by default

payment_method_options.wechatpayobject

The PaymentMethod options for wechatpay

payment_method_options.wechatpay.enable_funds_splitboolean

Indicates whether funds split will be enabled for this WeChatPay order

return_urlstring

The web page URL or application scheme URI to redirect the customer after payment authentication.

risk_control_optionsobject

Risk Control Options

risk_control_options.skip_risk_processingboolean

Set it to true if you want to skip fraud processing. Please contact your account manager to enable the feature to take effect. Defaults to false.

risk_control_options.tra_applicableboolean

Set it to 'true' if you want to use TRA exemption when create payment intent, only applicable when you skip risk processing

triggered_bystring

Indicates who initiated the payment — the merchant or the customer. Only effective when payment_method.id is provided.

  • merchant: The payment is initiated by the merchant to collect a subsequent payment where the customer is not in session.
  • customer: The payment is initiated by the customer using stored payment method details.
Response body - 201 Created
additional_infoobject

Additional info for the transaction.

additional_info.account_funding_dataobject

Additional info for account funding transactions to ensure compliance with card networks.

additional_info.account_funding_data.typestring

Account funding transaction type. Possible values:

  • ACCOUNT_TO_ACCOUNT_TRANSFER: An account-to-account transfer, either within the same financial institution or to a different one.
  • STORED_VALUE_DIGITAL_WALLET_TRANSFER: Adding funds to or cashing out a Stored Value Digital Wallet (SVDW) account.
  • STAGED_DIGITAL_WALLET_TRANSFER: Funding a Staged Digital Wallet before the cardholder makes a purchase.
  • PREPAID_CARD_TOP_UP: Prepaid card or gift card top-up (adding value to an eligible reloadable prepaid card or funding the cardholder’s own prepaid account).
  • LIQUID_ASSET_PURCHASE: Funds transfer for the acquisition of liquid assets (for example, stocks, shares, foreign currency and cryptocurrency).
additional_info.account_funding_data.recipientobject

Details of the recipient for this account funding transaction.

additional_info.account_funding_data.recipient.account_numberstring

Account number of the recipient receiving funds. If you are funding a card, provide the first six digits and last four digits of the card number (e.g., "411111xxxxxxxx1111").

additional_info.account_funding_data.recipient.addressobject

Address of the recipient.

additional_info.account_funding_data.recipient.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.account_funding_data.recipient.address.citystring

City of the address.

additional_info.account_funding_data.recipient.address.line1string

Address line1.

additional_info.account_funding_data.recipient.address.line2string

Address line2.

additional_info.account_funding_data.recipient.address.postcodestring

Postcode of the address.

additional_info.account_funding_data.recipient.address.statestring

State or province of the address.

additional_info.account_funding_data.recipient.first_namestring

First name of the recipient.

additional_info.account_funding_data.recipient.last_namestring

Last name of the recipient.

additional_info.account_funding_data.recipient.middle_namestring

Middle name of the recipient.

additional_info.account_funding_data.senderobject

Details of the sender for this account funding transaction.

additional_info.account_funding_data.sender.addressobject

Address of the sender.

additional_info.account_funding_data.sender.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.account_funding_data.sender.address.citystring

City of the address.

additional_info.account_funding_data.sender.address.line1string

Address line1.

additional_info.account_funding_data.sender.address.line2string

Address line2.

additional_info.account_funding_data.sender.address.postcodestring

Postcode of the address.

additional_info.account_funding_data.sender.address.statestring

State or province of the address.

additional_info.account_funding_data.sender.date_of_birthstring

The sender’s date of birth. Format: YYYY-MM-DD (e.g., "1989-07-15").

additional_info.account_funding_data.sender.first_namestring

First name of the sender.

additional_info.account_funding_data.sender.last_namestring

Last name of the sender.

additional_info.account_funding_data.sender.middle_namestring

Middle name of the sender.

additional_info.account_funding_data.transfer_between_own_accountsboolean

Indicates whether the transfer is between the customer's own accounts. If true, Airwallex will compare the cardholder's name and the recipient's name, and will trigger 3DS if the names do not match.

additional_info.enhanced_scheme_dataobject

Level 2 & Level 3 data that will be sent to card schemes. By providing Level 2 or Level 3 data with your transactions, you may be able to qualify for reduced interchange rates.

additional_info.enhanced_scheme_data.customerobject

Details of the customer making a payment for this Payment Intent.

additional_info.enhanced_scheme_data.customer.first_namestring

First name of the customer

additional_info.enhanced_scheme_data.customer.last_namestring

Last name of the customer

additional_info.enhanced_scheme_data.customer.referencestring

A reference number or code supplied by the cardholder to the merchant, which could be used for invoice management at the cardholder's side. Maximum of 17 characters.

additional_info.enhanced_scheme_data.customer_tax_identifierstring

Tax identifier of the customer. Maximum of 13 characters.

additional_info.enhanced_scheme_data.duty_amountnumber

The total charges for any import or export duty included in the transaction. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.invoice_referencestring

Invoice reference number. Maximum of 17 characters.

additional_info.enhanced_scheme_data.local_tax_amountnumber

The amount of state or provincial tax on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.merchant_tax_identifierstring

Tax identifier of the merchant. This can be a VAT / GST / other tax related identifier. Maximum of 20 characters.

additional_info.enhanced_scheme_data.national_tax_amountnumber

The amount of national tax on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.productsarray

Product list

additional_info.enhanced_scheme_data.products.codestring

Merchant’s product identifier code. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.commodity_codestring

The UNSPSC Commodity Code for the product. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.descriptionstring

Product description. Maximum of 26 characters.

additional_info.enhanced_scheme_data.products.discount_amountnumber

The discount amount for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.quantityinteger

Product quantity

additional_info.enhanced_scheme_data.products.tax_percentnumber

The tax rate percentage for the product. Should be less than 100, up to 2 decimal places.

additional_info.enhanced_scheme_data.products.total_amountnumber

The total amount for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.total_tax_amountnumber

The total amount of tax for the product. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.products.unitstring

The unit of measure code used for the product. Maximum of 12 characters.

additional_info.enhanced_scheme_data.products.unit_pricenumber

Product unit price. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.shippingobject

Shipping information

additional_info.enhanced_scheme_data.shipping.addressobject

Shipping address

additional_info.enhanced_scheme_data.shipping.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.enhanced_scheme_data.shipping.address.citystring

City of the address. Maximum of 100 characters.

additional_info.enhanced_scheme_data.shipping.address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.enhanced_scheme_data.shipping.address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.enhanced_scheme_data.shipping.address.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.enhanced_scheme_data.shipping.datestring

The date the goods were shipped to the destination, in YYYY-MM-DD format.

additional_info.enhanced_scheme_data.shipping.fee_amountnumber

Shipping fee amount. This amount must be expressed in the same currency as the transaction amount.

additional_info.enhanced_scheme_data.shipping.from_postcodestring

The postcode of the location the goods are being shipped from. Maximum of 10 characters.

additional_info.enhanced_scheme_data.summary_commodity_codestring

The first 2,4 or 6 digits of UNSPSC Commodity Code that best categorizes the items being purchased. If the items belong to different categories, choose a category that best represents the items. Maximum of 15 characters

additional_info.enhanced_scheme_data.total_tax_amountnumber

The total amount of sales tax or value added tax (VAT) on the transaction amount. This amount must be expressed in the original currency of the transaction.

additional_info.enhanced_scheme_data.vat_invoice_referencestring

Value added tax invoice reference number. Maximum of 15 characters.

additional_info.online_ticket_agency_dataobject

The additional information for online ticket agency data.

additional_info.online_ticket_agency_data.eventsarray

The details of the event.

additional_info.online_ticket_agency_data.events.namestring

The name of the event.

additional_info.online_ticket_agency_data.events.arena_locationobject

The location of the venue.

additional_info.online_ticket_agency_data.events.arena_location.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_ticket_agency_data.events.arena_location.citystring

City of the address. Maximum of 100 characters.

additional_info.online_ticket_agency_data.events.arena_location.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_ticket_agency_data.events.arena_location.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_ticket_agency_data.events.arena_location.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.online_ticket_agency_data.events.arena_namestring

The name of the venue.

additional_info.online_ticket_agency_data.events.arena_seat_numberstring

The seat number of the venue.

additional_info.online_ticket_agency_data.events.companystring

The name of the company arranging the event.

additional_info.online_ticket_agency_data.events.customer_namestring

The name of the customer.

additional_info.online_ticket_agency_data.events.customer_titlestring

The title used before the customer’s name. One of mr, ms, and mrs.

additional_info.online_ticket_agency_data.events.ends_atstring

The event's end date and time in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_ticket_agency_data.events.starts_atstring

The event's start date and time in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_ticket_agency_data.events.typestring

The category or type of the event.

additional_info.online_travel_agency_dataobject

The additional information for online travel agency data.

additional_info.online_travel_agency_data.accommodationsarray

The details of accommodation.

additional_info.online_travel_agency_data.accommodations.addressobject

The address of this accommodation.

additional_info.online_travel_agency_data.accommodations.address.citystring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.accommodations.address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.accommodations.address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.accommodations.address.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.accommodations.address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.accommodations.check_in_datestring

Check-in date, in YYYY-MM-DD format.

additional_info.online_travel_agency_data.accommodations.check_out_datestring

Check-out date, in YYYY-MM-DD format.

additional_info.online_travel_agency_data.accommodations.guest_nationalitystring

Nationality of the guest (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.accommodations.guest_phonestring

Guest phone number.

additional_info.online_travel_agency_data.accommodations.namestring

Name of the accommodation.

additional_info.online_travel_agency_data.accommodations.room_typestring

Type of room. For example Presidential Suite, Single Room, Double Room, Suite

additional_info.online_travel_agency_data.accommodations.typestring

Type of accommodation. For example Hotel, Hostel, Resort, Apartment

additional_info.online_travel_agency_data.accommodations.early_checkinboolean

Indicates if early check-in was paid for.

additional_info.online_travel_agency_data.accommodations.guest_emailstring

Guest email address for communication and confirmations.

additional_info.online_travel_agency_data.accommodations.guest_namestring

Full legal name of the guest

additional_info.online_travel_agency_data.accommodations.late_checkoutboolean

Indicates if late checkout was paid for.

additional_info.online_travel_agency_data.accommodations.pre_tax_amountnumber

Accommodation amount excluding tax.

additional_info.online_travel_agency_data.accommodations.ratingsarray

Hotel rating(s) (from various sources).

additional_info.online_travel_agency_data.accommodations.ratings.scorestring

The score of this rating.

additional_info.online_travel_agency_data.accommodations.ratings.sourcestring

The source of this rating.

additional_info.online_travel_agency_data.accommodations.ratings.typestring

The type of this rating. For example Internal, External

additional_info.online_travel_agency_data.accommodations.tax_amountnumber

Taxes and fees applied to the accommodation price.

additional_info.online_travel_agency_data.busesarray

The details of the buses travel.

additional_info.online_travel_agency_data.buses.arrival_citystring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.buses.class_of_servicestring

The itinerary service class.

additional_info.online_travel_agency_data.buses.departure_citystring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.buses.passenger_namestring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.buses.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.buses.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.buses.insurances.companystring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.buses.insurances.pricenumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.buses.insurances.typestring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.buses.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.buses.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.buses.pricenumber

The itinerary unit price in payment intent currency.

additional_info.online_travel_agency_data.buses.scheduled_arrival_atstring

The estimated arrival datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.buses.scheduled_departure_atstring

The departure datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentalsarray

The details of the car rental.

additional_info.online_travel_agency_data.car_rentals.agreement_numberstring

Rental agreement number.

additional_info.online_travel_agency_data.car_rentals.driver_namestring

Full legal name of the driver.

additional_info.online_travel_agency_data.car_rentals.driver_nationalitystring

Nationality of the driver (ISO 3166-1 alpha-2 code)

additional_info.online_travel_agency_data.car_rentals.drop_off_atstring

Rental drop-off time, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentals.pick_up_atstring

Rental pick-up time, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.car_rentals.driver_emailstring

Driver email address for communication and confirmations.

additional_info.online_travel_agency_data.car_rentals.driver_phonestring

Driver phone number.

additional_info.online_travel_agency_data.car_rentals.drop_off_addressobject

The return address of this rental.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.citystring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.car_rentals.drop_off_address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.insurancesarray

The list of insurances.

additional_info.online_travel_agency_data.car_rentals.insurances.companystring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.car_rentals.insurances.pricenumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.car_rentals.insurances.typestring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.car_rentals.pick_up_addressobject

The start address of this rental.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.citystring

City of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.country_codestring

The two-letter country code in ISO 3166-1 alpha-2 format.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.streetstring

Street of the address. Maximum of 1000 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.postcodestring

Postcode of the address. Maximum of 10 characters.

additional_info.online_travel_agency_data.car_rentals.pick_up_address.statestring

State or province of the address. Maximum of 100 characters.

additional_info.online_travel_agency_data.car_rentals.pre_tax_amountnumber

Rental amount excluding tax.

additional_info.online_travel_agency_data.car_rentals.tax_amountnumber

Taxes and fees applied to the rental price.

additional_info.online_travel_agency_data.car_rentals.vehicleobject

The details of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.license_platestring

License plate number.

additional_info.online_travel_agency_data.car_rentals.vehicle.manufacturerstring

Manufacturer of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.modelstring

Model of the vehicle.

additional_info.online_travel_agency_data.car_rentals.vehicle.conditionstring

Condition of the vehicle. One of GOOD, FAIR, POOR.

additional_info.online_travel_agency_data.car_rentals.vehicle.manufacture_yearstring

Year of manufacture.

additional_info.online_travel_agency_data.car_rentals.vehicle.vinstring

Vehicle Identification Number.

additional_info.online_travel_agency_data.customerobject

Details of the customer making a payment for this Payment Intent.

additional_info.online_travel_agency_data.customer.loyalty_program_namestring

The name of the loyalty program.

additional_info.online_travel_agency_data.customer.loyalty_program_pointsinteger

Points or miles in the loyalty program.

additional_info.online_travel_agency_data.customer.loyalty_program_tierstring

Tier of the loyalty program. For example Silver, Gold, Platinum.

additional_info.online_travel_agency_data.customer.typestring

Customer account type. One of GUEST, MEMBER.

additional_info.online_travel_agency_data.ferriesarray

The details of the ferries travel.

additional_info.online_travel_agency_data.ferries.arrival_citystring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.class_of_servicestring

The itinerary service class.

additional_info.online_travel_agency_data.ferries.departure_citystring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.passenger_namestring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.ferries.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.ferries.insurances.companystring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.ferries.insurances.pricenumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.ferries.insurances.typestring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.ferries.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.ferries.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.ferries.pricenumber

The itinerary unit price in payment intent currency.

additional_info.online_travel_agency_data.ferries.scheduled_arrival_atstring

The estimated arrival datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.ferries.scheduled_departure_atstring

The departure datetime in ISO 8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flightsarray

The details of the flights.

additional_info.online_travel_agency_data.flights.arrival_airport_codestring

IATA code of the arrival airport.

additional_info.online_travel_agency_data.flights.arrival_citystring

City where the arrival airport is located.

additional_info.online_travel_agency_data.flights.arrival_countrystring

Country where the arrival airport is located (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.departure_airport_codestring

IATA code of the departure airport.

additional_info.online_travel_agency_data.flights.departure_citystring

City where the departure airport is located.

additional_info.online_travel_agency_data.flights.departure_countrystring

Country where the departure airport is located (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.flight_numberstring

Airline's unique flight number.

additional_info.online_travel_agency_data.flights.passenger_namestring

Full legal name of the passenger.

additional_info.online_travel_agency_data.flights.passenger_nationalitystring

Nationality of the passenger (ISO 3166-1 alpha-2 code).

additional_info.online_travel_agency_data.flights.scheduled_arrival_atstring

Scheduled arrival date and time in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flights.scheduled_departure_atstring

Scheduled departure date and time in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.flights.typestring

Whether the flight is domestic or international. One of DOMESTIC, INTERNATIONAL.

additional_info.online_travel_agency_data.flights.class_of_servicestring

Class of service. For example Economy, Premium Economy, Business, First.

additional_info.online_travel_agency_data.flights.insurancesarray

The list of insurance.

additional_info.online_travel_agency_data.flights.insurances.companystring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.flights.insurances.pricenumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.flights.insurances.typestring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.flights.passenger_emailstring

Passenger email address for communication and confirmations.

additional_info.online_travel_agency_data.flights.passenger_phonestring

Passenger phone number.

additional_info.online_travel_agency_data.flights.pre_tax_amountnumber

Ticket amount excluding tax.

additional_info.online_travel_agency_data.flights.seat_numberstring

Assigned seat number on the flight.

additional_info.online_travel_agency_data.flights.tax_amountnumber

Taxes and fees applied to the ticket price.

additional_info.online_travel_agency_data.orderobject

Purchase order related to this PaymentIntent.

additional_info.online_travel_agency_data.order.cancellableboolean

Indicates if the booking is cancellable.

additional_info.online_travel_agency_data.order.created_atstring

The time of the order was made, in ISO8601 format. The timestamp must include an explicit timezone (e.g. Z or -04:00).

additional_info.online_travel_agency_data.order.prepayment_modelstring

The model of payment. One of FULL, PARTIAL

additional_info.online_travel_agency_data.trainsarray

The details of the trains travel.

additional_info.online_travel_agency_data.trains.arrival_citystring

The city of the arrival. Maximum length is 100.

additional_info.online_travel_agency_data.trains.class_of_servicestring

The itinerary service class.

additional_info.online_travel_agency_data.trains.departure_citystring

The city of the departure. Maximum length is 100.

additional_info.online_travel_agency_data.trains.passenger_namestring

The name of the traveler. Maximum length is 100.

additional_info.online_travel_agency_data.trains.carrierstring

The name of the transportation company.

additional_info.online_travel_agency_data.trains.insurancesarray

The insurance list for the itinerary.

additional_info.online_travel_agency_data.trains.insurances.companystring

The insurance company name. Maximum length is 100.

additional_info.online_travel_agency_data.trains.insurances.pricenumber

The insurance price in payment intent currency.

additional_info.online_travel_agency_data.trains.insurances.typestring

The insurance type. One of cancellation, delay, casualty, baggage, and other.

additional_info.online_travel_agency_data.trains.passenger_identifierstring

The identifier of the traveler in the merchant's system. Maximum length is 64.

additional_info.online_travel_agency_data.trains.passenger_titlestring

The title used before the traveler’s name. One of mr, ms, and mrs.

additional_info.online_travel_agency_data.trains.pricenumber

[...]
